OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_PointOnCurve Class Reference

`#include <PBRep_PointOnCurve.hxx>`

Inheritance diagram for PBRep_PointOnCurve:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_PointOnCurve (const Standard_Real P, const Handle(PGeom_Curve)&C, const PTopLoc_Location &L)
Standard_EXPORT Handle_PGeom_Curve | Curve () const
virtual Standard_EXPORT Standard_Boolean | IsPointOnCurve () const
| Returns True; .
| PBRep_PointOnCurve ()
| PBRep_PointOnCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Curve) _CSFDB_GetPBRep_PointOnCurvemyCurve() const
void | _CSFDB_SetPBRep_PointOnCurvemyCurve (const Handle(PGeom_Curve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom_Curve | myCurve

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PointOnCurve::PBRep_PointOnCurve | ( | const Standard_Real | P,
|  | const Handle(PGeom_Curve)& | C,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PointOnCurve::PBRep_PointOnCurve | ( |  | ) | `[inline]`

PBRep_PointOnCurve::PBRep_PointOnCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PointOnCurve::_CSFDB_SetPBRep_PointOnCurvemyCurve | ( | const Handle(PGeom_Curve)& | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom_Curve PBRep_PointOnCurve::Curve | ( |  | ) | const

Standard_EXPORT const PBRep_PointOnCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_PointRepresentation.

PBRep_PointOnCurve::Handle | ( | PGeom_Curve |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean PBRep_PointOnCurve::IsPointOnCurve | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_PointRepresentation.

## Field Documentation

Handle_PGeom_Curve PBRep_PointOnCurve::myCurve`[private]`

The documentation for this class was generated from the following file:

- PBRep_PointOnCurve.hxx